Subject: Re: Question about pshim6

From: Matthijs Mekking <[email-masked]>
Date: Mon, 10 Mar 2008 00:40:32 -0400

Hi Sébastien,

The shim6 meeting is in about 3 hours (1pm local time), so it has not
been discussed yet. Maybe you are able to follow it via jabber or m3u
(look at http://tools.ietf.org/agenda/71/).

I also found this paragraph troublesome, because putting the context
establishment before the data transfer would interfere with the initial
goal: Not require extra roundtrip up front to setup shim specific state.

For this reason, I agree that a pshim6 box should use the same heuristic
as in the original shim6 document.

Sébastien Barré wrote:
> Hi,
> 
> It may have been discussed during the meeting but I could not attend
> unfortunately.
> I have a question regarding this paragraph from section 3 of the draft :
> ---
> When H1 sends the first packet addressed to the CMULA of H2, the
>  packet is intercepted and processed by the P- Shim6 box of the
>  multihomed site.  The P-Shim6 box retains the data packet and
>  initiates the 4-way exchange to create a shim6 context with the
>  P-shim6 box of the peer network.  This exchange uses the PA addresses
>  as locators and the CMULAs as ULIDs.  Once that the shim6 context is
>  established between the local P-shim6 box and the remote P- Shim6
>  box, the local P-Shim6 box can forward the data packet with a shim6
>  payload header, referring to the established shim6 context.
> ---
> 
> I wonder why it would not be possible and more efficient to send the
> first data packet as soon as we know one locator for that packet.
> That is, I think we could use the same approach as host-based Shim6, in
> that the pshim6 box could perform the following steps :
> - the proxy of host H1 receives the first packet from H1 to H2. With the
> CMULA of H2 as destination address.
> - The proxy gets the corresponding locators, either from its cache or a
> reverse DNS lookup.
> - The proxy chooses one of the obtained locators as destination for the
> data packet, and immediately sends it. We thus send the packet 2RTTs
> earlier than in the current pshim6 approach.
> - The proxy applies some heuristic to decide if it initiates a Shim6
> negotiation, in the same fashion as host-based shim6.
> 
> Actually that approach is similar to what is proposed in the second
> option of section 7 (support for legacy sites and hosts). Indeed, what I
> propose is to behave as if the corresponding node were legacy, until we
> find it useful to use Shim6. Also, even if we decide to immediately
> start the shim6 negotiation, we can still do it in parallel with the
> data transfer, rather then before the data transfer.
> 
> Also note (if my understanding is correct) that in the case that both
> hosts in a communication use CMULAs, than the Shim6 negotiation is no
> longer required for providing transport layer survivability (There is
> only one CMULA candidate for rewriting an arriving packet, thus we do
> not need to ensure that one precise locator is used as ULID). OTOH,
> Shim6 is still useful for benefiting from the REAP protocol.
> 
> Am I missing something ?
> 
> regards,
> 
> Sébastien Barré.
>

---

From: Sébastien Barré <[email-masked]>
Date: Mon, 10 Mar 2008 11:59:20 +0100

Hi,

Am I missing something ?

regards,

Sébastien Barré.

-- 
Sébastien Barré
Researcher,
CSE department, UCLouvain, Belgium
http://inl.info.ucl.ac.be/sbarre